# 
# Do NOT Edit the Auto-generated Part!
# Generated by: spectacle version 0.23
# 
# >> macros
# << macros

Name:       libarchive
Summary:    A library for handling streaming archive formats
Version:    3.0.3
Release:    1
Group:      System/Libraries
License:    BSD
URL:        http://code.google.com/p/libarchive/
Source0:    http://libarchive.googlecode.com/files/libarchive-%{version}.tar.gz
Source100:  libarchive.yaml
Requires(post): /sbin/ldconfig
Requires(postun): /sbin/ldconfig
BuildRequires:  pkgconfig(zlib)
BuildRequires:  pkgconfig(liblzma)
BuildRequires:  pkgconfig(libxml-2.0)
BuildRequires:  pkgconfig(openssl)
BuildRequires:  pkgconfig(ext2fs)
BuildRequires:  bison
BuildRequires:  sharutils
BuildRequires:  bzip2-devel
BuildRequires:  libacl-devel
BuildRequires:  libattr-devel
BuildRequires:  automake
BuildRequires:  autoconf
BuildRequires:  libtool


%description
Libarchive is a programming library that can create and read several different 
streaming archive formats, including most popular tar variants, several cpio 
formats, and both BSD and GNU ar variants. It can also write shar archives and 
read ISO9660 CDROM images and ZIP archives.



%package devel
Summary:    Development files for %{name}
Group:      Development/Libraries
Requires:   %{name} = %{version}-%{release}

%description devel
The %{name}-devel package contains libraries and header files for
developing applications that use %{name}.


%package -n bsdtar
Summary:    Bsdtar is a program to create and read different streaming archive formats
Group:      Applications/Archiving
Requires:   %{name} = %{version}-%{release}

%description -n bsdtar
This package contains the bsdtar cmdline utility



%prep
%setup -q -n %{name}-%{version}

# >> setup
# << setup

%build
# >> build pre
libtoolize --force  || :
autoreconf  || :
# << build pre

%configure --disable-static \
    --disable-bsdcpio

make %{?jobs:-j%jobs}

# >> build post
# << build post
%install
rm -rf %{buildroot}
# >> install pre
# << install pre
%make_install

# >> install post
iconv -f latin1 -t utf-8 < NEWS > NEWS.utf8; cp NEWS.utf8 NEWS
find $RPM_BUILD_ROOT -name '*.la' -exec rm -f {} ';'
find $RPM_BUILD_ROOT -name cpio.5 -exec rm -f {} ';'
find $RPM_BUILD_ROOT -name mtree.5 -exec rm -f {} ';'
find $RPM_BUILD_ROOT -name tar.5 -exec rm -f {} ';'



# << install post



%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig








%files
%defattr(-,root,root,-)
# >> files
%doc COPYING
%{_libdir}/*.so.*
# << files


%files devel
%defattr(-,root,root,-)
# >> files devel
%doc
%{_includedir}/*
%{_mandir}/*/*
%{_libdir}/*.so
%{_libdir}/pkgconfig/*
# << files devel

%files -n bsdtar
%defattr(-,root,root,-)
%{_bindir}/bsdtar
# >> files bsdtar
# << files bsdtar

